<div class="bio-generic-card" ui-view>
    <div class="px-3 pt-3 mb-2">
        <div style="margin-bottom: 5px;">
            <label class="bm-label-24 dark-grey-blue"><b>Lab Request Form</b></label>
            <img class="pt-1 float" src="https://iq.biomarking.com/images/biomark-logo.png" style="height: 43px;"
                alt="">
        </div>
    </div>
    <div class="border-bottom"></div>
    <div class="row no-gutters mt-2">
        <div class="col-7 p-2">
            <div class="px-3 pt-3">
                <label class="bm-label-14 dark-grey-blue ">
                    <b>PATIENT DETAILS</b>
                </label>
                <!-- <div class="form-group">
                    <div class="bm-label-14 fontMukta"><b>PATIENT DETAILS</b> </div>
                </div> -->
            </div>

            <div class="px-3">
                <div class="d-flex flex-row mb-3">
                    <div class="column">
                        <div class="bm-label-12 bluey-grey mb-1"><b>Name</b> </div>
                        <div class="bm-label-16">
                            <div class="bm-label-16">{{$ctrl.patient_data.patient_name}}</div>
                        </div>
                    </div>
                    <div style="padding-left: 10px;">
                        <div class="bm-label-12 bluey-grey mb-1"><b>NRIC no. / Passport No.</b> </div>
                        <div class="bm-label-16">{{$ctrl.patient_data.ic_number}}</div>
                    </div>
                </div>
            </div>
            <div class="px-3">
                <div class="d-flex flex-row mb-3 justify-content-lg-between">
                    <div class="column">
                        <div class="bm-label-12 bluey-grey mb-1"><b>Date of Birth (DD-MM-YYYY)</b> </div>
                        <div class="bm-label-16">{{$ctrl.patient_data.birth_date}}</div>
                    </div>
                    <div>
                        <div class="bm-label-12 bluey-grey mb-1"><b>Age [Y]</b> </div>
                        <div class="bm-label-16">{{$ctrl.patient_data.age}}</div>
                    </div>
                    <div style="padding-left: 10px;">
                        <div class="bm-label-12 bluey-grey mb-1"><b>Gender</b> </div>
                        <div class="bm-label-16">{{$ctrl.patient_data.gender.name}}</div>
                    </div>
                    <div style="padding-left: 65px;">
                        <div class="bm-label-12 bluey-grey mb-1"><b>Mobile Number</b> </div>
                        <div class="bm-label-16">{{$ctrl.patient_data.mobile_number}}</div>
                    </div>
                </div>
            </div>

            <div class="dotted-border-bottom"></div>

            <div class="px-3 pt-3">
                <label class="bm-label-14 dark-grey-blue ">
                    <b>SPECIMEN COLLECTION</b>
                </label>

            </div>

            <div class="px-3">
                <div class="d-flex flex-row mb-3">
                    <div class="column mr-5">
                        <div class="bm-label-12 bluey-grey mb-1"><b>Date (DD-MM-YYYY)</b> </div>
                        <div class="bm-label-12 dark-grey-blue">{{$ctrl.order_date}}</div>
                    </div>
                    <div style="padding-left: 10px;" class="mr-5">
                        <div class="bm-label-12 bluey-grey mb-1"><b>Time</b> </div>
                        <div class="bm-label-12 dark-grey-blue">{{$ctrl.order_time}}</div>
                    </div>

                    <div style="padding-left: 10px;" class="ml-5">
                        <div class="bm-label-12 bluey-grey mb-1"><b>Specimen Type</b> </div>
                        <div class="bm-label-12 dark-grey-blue d-flex flex-row flex-wrap">
                            <div ng-repeat="a in [1]">Blood, Urine</div>
                        </div>
                    </div>
                </div>
            </div>



            <div class="dotted-border-bottom"></div>

            <div class="px-3 pt-3">
                <label class="bm-label-14 dark-grey-blue ">
                    <b>TEST REQUESTS</b>
                </label>
                <div class="d-flex flex-row flex-wrap">
                    <div ng-repeat="test in $ctrl.tests">
                        <div class="mr-5 p-2">
                            <label class="bm-label-12 dark-grey-blue ">
                                <b>{{test.name}}</b>
                            </label>
                            <div class="bm-label-9 ">
                                {{test.specimen}}
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="dotted-border-bottom"></div>
            <div class="px-3 pt-3">
                <label class="bm-label-14 dark-grey-blue ">
                    <b>SEND COPY TO PAYOR/ PHYSICIANS</b>
                    <div class="d-flex flex-row grey-blue border-bottom p-2">
                        CC:<div class="d-flex flex-row ml-1">
                            <div ng-repeat="cc in $ctrl.patient_data.order.cc">
                                <div class="email-box bm-label-12 grey-blue p-2">{{cc}} <span class="mr-2">X</span>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class=" grey-blue">
                        Subject: {{$ctrl.patient_data.order.subject}}
                    </div>
                </label>
            </div>
            <div class="mb-3"></div>
        </div>
        <div class="mb-2 border">
            <div>
                <div class="pt-3 px-3">
                    <div>
                        <div class="bm-label-14 fontMukta  dark-grey-blue"><b>DOCTOR’S NAME, ADDRESS</b> </div>
                    </div>
                </div>
                <div class="px-3">
                    <div class="bm-label-12 mb-1  dark-grey-blue"><b>{{$ctrl.doctor.profile.data.first_name}}</b></div>
                    <div class="bm-label-12 mb-1  dark-grey-blue">BLock 10 Lot 1 Witholding St. BIR Village West
                        Fairview QC, PH</div>
                </div>
                <div style="height: 150;"></div>
                <!-- <div class="border-bottom pt-3"></div> -->
                <!-- <div class="pt-3 px-3">
                    <div class="form-group">
                        <div class="bm-label-14 fontMukta"><b>FOR LAB USE</b> </div>
                    </div>
                </div>
                <div class="px-3">
                    <div class="bm-label-12 mb-1">Secondary Client: <b>BMK96</b></div>
                    <div class="bm-label-12 mb-1">Secondary Ref Doctor: <b>RML006</b></div>
                </div> -->
                <!-- <div ng-if="vm.order.is_urgent">
                    <div class="border-bottom pt-3"></div>
                    <div class="pt-3 px-3">
                        <div class="form-group">
                            <div class="bm-label-14 fontMukta"><b>URGENT REMARKS</b> </div>
                        </div>
                    </div>
                    <div class="px-3">
                        <div class="bm-label-12 mb-1" style="overflow: hidden;word-wrap: break-word;">
                            {{vm.order.urgent_remark}}</div>
                    </div>
                </div> -->
                <div class="border-bottom pt-3"></div>
                <div class="pt-3 px-3">
                    <div class="form-group">
                        <div class="bm-label-14 fontMukta  dark-grey-blue"><b>CLINICAL INDICATION[S]</b> </div>
                    </div>
                </div>
                <div class="px-3">
                    <div class="bm-label-12 mb-1  dark-grey-blue" style="overflow: hidden;word-wrap: break-word;">
                        {{$ctrl.patient_data.order.clinical_indication || "N/A"}}</div>
                </div>
                <div class="border-bottom pt-3"></div>

                <div class="pt-3 px-3">
                    <div class="form-group">
                        <div class="bm-label-14 fontMukta dark-grey-blue"><b>MEDICAL NOTES AND CONCURRENT DRUG
                                THERAPY</b> </div>
                    </div>
                </div>
                <div class="px-3">
                    <div class="bm-label-12 mb-1  dark-grey-blue" style="overflow: hidden;word-wrap: break-word;">
                        {{$ctrl.patient_data.order.note || "N/A"}}</div>
                </div>

                <div class="border-bottom pt-3"></div>
                <div class="px-3 pt-3">
                    <div class="mb-1">
                        <div>
                            <div class="bm-label-12 mb-3 dark-grey-blue"><b>eOrder ID / Ref. Number</b> </div>
                            <div class="bm-label-12">{{vm.order_data.date | date:'dd-MM-yyyy'}}</div>
                        </div>
                        <div style="padding-left: 10px;">
                            <!-- <div class="d-flex flex-row align-items-center alert alert-success p-0" style="margin-left:10px"> -->
                            <!-- <svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24">
                                    <defs>
                                        <linearGradient id="a" x1="0%" y1="50%" y2="50%">
                                            <stop offset="0%" stop-color="#00A79D"/>
                                            <stop offset="100%" stop-color="#2BB673"/>
                                        </linearGradient>
                                    </defs>
                                    <g fill="none" fill-rule="evenodd">
                                        <path d="M3 4h18v18H3z"/>
                                        <path fill="url(#a)" d="M9 .75l-6.75 3v4.5c0 4.162 2.88 8.055 6.75 9 3.87-.945 6.75-4.838 6.75-9v-4.5L9 .75zm-1.5 12l-3-3 1.058-1.057L7.5 10.627l4.943-4.942L13.5 6.75l-6 6z" transform="translate(3 4)"/>
                                    </g>
                                </svg> -->
                            <!-- <div class="bm-label-10">Electronically Approved. 123aa </div>  -->
                            <!-- </div> -->
                            <div class="ml-3" style="width: 206px; margin-top: 10px;">
                                <svg id="barcode" width="100%"></svg>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="d-flex flex-row justify-content-end">
        <div class="bm-panel row p-2 border d-flex justify-content-center ng-scope" style="width: 483px;">
            <img style="height: 37px;margin-top: 10px" class="mr-lg-4" src="../../../images/shield.png">
            <p style="max-width:283px;margin-top:10px;" class="bluey-grey">By clicking “Correct”, you agree that all the
                data
                provided are correct.</p>
            <button class="btn-correct" ng-click="$ctrl.correct()" style="margin-top: 10px;">Correct</button>
        </div>
        <button class="button-back mt-3 ml-3" ng-click="$ctrl.stepBack()">Back</button>
        <button ng-if="$ctrl.continue " style="margin-left: 22px;" class="btn btn-danger biomark-btn-primary mt-3 ml-2"
            ng-click="$ctrl.openTestReqDialog()">Continue</button>
        <button ng-if="!$ctrl.continue " class="btn inactive-btn mt-3 ml-4">Continue</button>
    </div>
</div>
<!-- <div class="approved px-2 mb-3 dark-grey-blue bm-label-18 d-flex flex-row justify-content-between align-items-center"
    style="height: 50px">
    <div class="d-flex flex-row align-items-center">
        <svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24">
            <defs>
                <linearGradient id="a" x1="0%" y1="50%" y2="50%">
                    <stop offset="0%" stop-color="#00A79D" />
                    <stop offset="100%" stop-color="#2BB673" />
                </linearGradient>
            </defs>
            <g fill="none" fill-rule="evenodd">
                <path d="M3 4h18v18H3z" />
                <path fill="url(#a)"
                    d="M9 .75l-6.75 3v4.5c0 4.162 2.88 8.055 6.75 9 3.87-.945 6.75-4.838 6.75-9v-4.5L9 .75zm-1.5 12l-3-3 1.058-1.057L7.5 10.627l4.943-4.942L13.5 6.75l-6 6z"
                    transform="translate(3 4)" />
            </g>
        </svg>
        <div class="bm-label-10 ml-3">
            <b> By clicking Confirm Order, you agree that all the data provided are correct.</b>
        </div>
    </div>

    <div>
        <div class="d-flex flex-row">
            <button class="btn bio-btn-accept float-right" ng-click="$ctrl.openTestReqDialog()"
                style="width: 140px;">Confirm Order</button>
        </div>
    </div>

</div> -->

<div class="biomark-modal" ng-if="$ctrl.approve">
    <div class="modal_container small">
        <div class="modal-closer-icon" ng-click="vm.close_modal()">
            <i ng-click="$ctrl.close_modal()" class="material-icons md-14">close</i>
        </div>
        <div class="modal-body-sm text-center d-flex flex-column">
            <div>
                <img style="height: 50px; width: 50px;" src="../../../images/green-1.svg" />
            </div>
            <label class="bm-label-21 dark-grey-blue mt-2">
                <b>Test request has been sent</b>
            </label>
            <div class="mt-2">
                <span class="bm-label-13 dark-grey-blue"><b>Name:</b></span><span
                    class="dark-grey-blue">{{$ctrl.patient_data.patient_name}}</span>
                <br>
                <span class="bm-label-13 dark-grey-blue"><b>DOB:</b></span><span
                    class="dark-grey-blue">{{$ctrl.patient_data.birth_date}}</span>
            </div>
            <div style="width: 206px; margin-top: 10px; margin-left: 50px;" id="barCode">
                <svg id="barcode" width="100%"></svg>
            </div>
            <hr>
            <div>
                <div class="bm-label-13 dark-grey-blue d-flex justify-content-start">Steps:</div>
                <p class="d-flex justify-content-start">1 Print the barcode label above and attach it on the test tubes.
                </p>
                <p class="d-flex justify-content-start">2 Alternatively, write the eOrder ID on each test tube and print
                    this lab request form.</p>
            </div>
            <div>
                <button ng-click="$ctrl.printBarCode()" class="btn btn-danger biomark-btn-primary mt-3 ml-2"
                    style="width: 40px; margin-left:20px">Print
                    Barcode</button>
            </div>
            <div class="pointer" ng-click="$ctrl.close_modal()">Close</div>
        </div>

    </div>
</div>
